> ## Documentation Index
> Fetch the complete documentation index at: https://developer.energy-hub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all available vendors

> Returns available-vendors data for specific partner



## OpenAPI

````yaml get /v1.0.0/connections/available-vendors
openapi: 3.0.1
info:
  description: A service used for connections to vendors
  title: connect-service
  version: 1.0.0
servers:
  - description: Generated server url
    url: https://api.energy-hub.io
security: []
paths:
  /v1.0.0/connections/available-vendors:
    get:
      tags:
        - Connection Controller
      summary: Get all available vendors
      description: Returns available-vendors data for specific partner
      operationId: getAvailableVendorsByUuid
      parameters: []
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                UNAUTHORIZED:
                  $ref: '#/components/examples/UNAUTHORIZED'
      security:
        - API_Key: []
components:
  schemas:
    VendorsResponse:
      type: object
      properties:
        hvac:
          description: List of HVAC vendors which can be connected to the Energy Hub.
          type: array
          items:
            $ref: '#/components/schemas/VendorResponse'
          example:
            - name: Viessmann
              id: VIESSMANN
              logoUrl: https://energy-hub.io/api/vendors/v1/viessmann/logo
        vehicles:
          description: List of vehicle vendors which can be connected to the Energy Hub.
          type: array
          items:
            $ref: '#/components/schemas/VendorResponse'
          example:
            - name: Tesla
              id: TESLA
              logoUrl: https://energy-hub.io/api/vendors/v1/tesla/logo
        chargers:
          description: List of charger vendors which can be connected to the Energy Hub.
          type: array
          items:
            $ref: '#/components/schemas/VendorResponse'
          example:
            - name: Easee
              id: EASEE
              logoUrl: https://energy-hub.io/api/vendors/v1/easee/logo
        homePower:
          description: List of home power vendors which can be connected to the Energy Hub.
          type: array
          items:
            $ref: '#/components/schemas/VendorResponse'
          example:
            - name: Fronius
              id: FRONIUS
              logoUrl: https://energy-hub.io/api/vendors/v1/fronius/logo
        tariffs:
          description: List of tariff vendors which can be connected to the Energy Hub.
          type: array
          items:
            $ref: '#/components/schemas/VendorResponse'
          example:
            - name: Tibber
              id: TIBBER
              logoUrl: https://energy-hub.io/api/vendors/v1/tibber/logo
    ErrorMessageDto:
      type: object
      required:
        - errorCode
        - id
        - message
      properties:
        errorCode:
          description: The error code
          type: string
          example: EXAMPLE_ERROR_CODE
        id:
          format: uuid
          description: The error identifier
          type: string
          example: 7958818d-64d2-4ede-b12b-4786dd2f348b
        message:
          description: The error message
          type: string
          example: Example error message
    VendorResponse:
      description: List of home power vendors which can be connected to the Energy Hub.
      type: object
      required:
        - id
        - logoUrl
        - name
      properties:
        name:
          description: The vendor name in human readable format.
          type: string
          example: Tesla
        id:
          description: The enum of the vendor.
          type: string
          example: TESLA
        logoUrl:
          $ref: '#/components/schemas/LogoUrlDto'
      example:
        - name: Fronius
          id: FRONIUS
          logoUrl: https://energy-hub.io/api/vendors/v1/fronius/logo
    LogoUrlDto:
      description: The URL to the vendor logo.
      type: object
      properties:
        light:
          description: The URL to the vendor light logo.
          type: string
          example: https://energy-hub.io/api/vendors/v1/light/tesla/Tesla.png
        dark:
          description: The URL to the vendor dark logo.
          type: string
          example: https://energy-hub.io/api/vendors/v1/dark/tesla/Tesla.png
      example: https://energy-hub.io/api/vendors/v1/tesla/logo
  examples:
    UNAUTHORIZED:
      value:
        errorCode: UNAUTHORIZED
        id: 5116a930-7dab-4a87-a638-0305f0e8907b
        message: Unauthorized
  securitySchemes:
    API_Key:
      in: header
      name: X-API-KEY
      description: API key used for authorization and authentication.
      type: apiKey

````